## enumiax 1.0

=== Makefile ===
all: enumiax 

include base.mk

install: all
	strip enumiax
	ienumiaxtall -m 755 enumiax ${BINDIR}
	@echo
	@echo "enumiax installed!"
	@echo

uninstall:
	rm -f ${BINDIR}/enumiax
	@echo
	@echo "enumiax uninstalled!"
	@echo

	
OBJS = charmap.o exit.o inet_hton.o main.o outputs.o worditer.o socket.o usage.o
INCLUDES = enumiax.h charmap.h config.h

# enumiax
enumiax: ${OBJS}
	@echo
	@echo "Compiling enumiax..."
	${CC} ${CFLAGS} ${LINCLUDES} ${LIBS} -o $@ ${OBJS}

${OBJS}: ${INCLUDES}

## enumiax 0.4a

=== debian/changelog ===
enumiax (0.4a-1kali4) kali-dev; urgency=medium

  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 11 Apr 2023 14:04:52 -0500

enumiax (0.4a-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Use secure URI in debian/watch.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Update to use sourceforge not debian redirector.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 11 Apr 2023 14:04:40 -0500

enumiax (0.4a-1kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 03 Jan 2023 14:23:03 -0600

enumiax (0.4a-1kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Dec 2020 11:31:10 +0100

enumiax (0.4a-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 14 Jan 2013 06:38:55 -0700

=== debian/control ===
Source: enumiax
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://enumiax.sourceforge.net/
Vcs-Git: https://gitlab.com/kalilinux/packages/enumiax.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/enumiax

Package: enumiax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IAX protocol username enumerator
 enumIAX is an Inter Asterisk Exchange protocol username
 brute-force enumerator.
 enumIAX may operate in two distinct modes; Sequential
 Username Guessing or Dictionary Attack.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_clean:
override_dh_auto_install:

=== debian/watch ===
version=4
opts=searchmode=plain \
https://sourceforge.net/projects/enumiax/rss?limit=10000000000000000000 \
https?://.*/enumiax-(\d.*)\.tar\.gz

## enumiax 1.0

=== debian/changelog ===
enumiax (1.0-0kali1~jan+nur1) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream release.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 22 Jan 2023 22:16:12 -0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Devon Kearns <dookie@kali.org>,
            Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://enumiax.sourceforge.net/
 Vcs-Git: https://gitlab.com/kalilinux/packages/enumiax.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/enumiax

=== debian/watch ===
version=4
http://sf.net/enumiax/ .*/enumiax-(\d.*)\.tar\.gz
